Announcement Announcement Module
Collapse
No announcement yet.
STS 2.2.1 and dm Tools nightly 2.3.0.200911170800 incompatible? Page Title Module
Move Remove Collapse
X
Conversation Detail Module
Collapse
  • Filter
  • Time
  • Show
Clear All
new posts

  • STS 2.2.1 and dm Tools nightly 2.3.0.200911170800 incompatible?

    I'm using STS 2.2.1 and upgraded to dm Tools nightly 2.3.0.200911170800, and now Bundlor doesn't appear to be able to generate my "MANIFEST.MF" file any more.

    Here is what I'm running:
    1. SpringSource Tool Suite [2.2.1.200910210131-RELEASE]
    2. SpringSource dm Server Tools (required) [2.3.0.200911170800-CI-R372-B16]
    3. SpringSource dm Server Tools Developer Resources [2.3.0.200911170800-CI-R372-B16]
    And here is the exception that shows up in my ".metadata/.log" file:
    Code:
    !ENTRY org.eclipse.core.resources 4 2 2009-11-17 17:48:41.707
    !MESSAGE Problems occurred when invoking code from plug-in: "org.eclipse.core.resources".
    !STACK 0
    java.lang.NoSuchMethodError: org.springframework.ide.eclipse.core.SpringCoreUtils.validateEdit([Lorg/eclipse/core/resources/IFile;)Z
    	at com.springsource.server.ide.bundlor.internal.core.BundlorProjectBuilder.mergeManifests(BundlorProjectBuilder.java:718)
    	at com.springsource.server.ide.bundlor.internal.core.BundlorProjectBuilder.build(BundlorProjectBuilder.java:235)
    	at com.springsource.server.ide.bundlor.internal.core.BundlorProjectBuilder.build(BundlorProjectBuilder.java:151)
    	at org.eclipse.core.internal.events.BuildManager$2.run(BuildManager.java:627)
    	at org.eclipse.core.runtime.SafeRunner.run(SafeRunner.java:42)
    	at org.eclipse.core.internal.events.BuildManager.basicBuild(BuildManager.java:170)
    	at org.eclipse.core.internal.events.BuildManager.basicBuild(BuildManager.java:280)
    	at org.eclipse.core.internal.events.BuildManager.build(BuildManager.java:361)
    	at org.eclipse.core.internal.resources.Project$1.run(Project.java:523)
    	at org.eclipse.core.internal.resources.Workspace.run(Workspace.java:1800)
    	at org.eclipse.core.internal.resources.Workspace.run(Workspace.java:1782)
    	at org.eclipse.core.internal.resources.Project.internalBuild(Project.java:502)
    	at org.eclipse.core.internal.resources.Project.build(Project.java:102)
    	at com.springsource.server.ide.bundlor.ui.BundlorUiPlugin$RunBundlorJob.run(BundlorUiPlugin.java:100)
    	at org.eclipse.core.internal.jobs.Worker.run(Worker.java:55)

  • #2
    Stoehr,

    for the latest dm Server Tools nightly to work in STS 2.2.1, you also need to update your Spring IDE components from the same update site you got the dm Server Tools nightly from.

    HTH

    Christian

    Comment


    • #3
      Thanks, I'll give it a try.

      Comment

      Working...
      X